<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<title>UI documentation</title>
		<link rel="icon" href="images/favicon.ico" type="image/x-icon">
		
		<link href="https://fonts.googleapis.com/css?family=PT+Sans+Narrow:700|Roboto+Slab:400,700" rel="stylesheet">
		<!--<link href="https://cdn.muicss.com/mui-latest/css/mui.min.css" rel="stylesheet" type="text/css" />-->
		<!-- Font Awesome -->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css">
		<!-- Bootstrap core CSS -->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
		<!-- Material Design Bootstrap -->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.8.7/css/mdb.min.css" rel="stylesheet">
		<link href="css/fontello.css" rel="stylesheet" type="text/css" />
		<link href="https://unpkg.com/normalize.css@^4.1.1" rel="stylesheet" />
		<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
	
		<link href="https://unpkg.com/@blueprintjs/core@^1.11.0/dist/blueprint.css" rel="stylesheet" />
		<link href="css/font-awesome.css" rel="stylesheet" />
		<link href="css/blueprint-grid.min.css" rel="stylesheet" />
		<link rel="stylesheet" href="https://unpkg.com/tippy.js@4/themes/light.css" />
	
	
		<link href="css/style.css" rel="stylesheet" />
		<link href="css/notyf.min.css" rel="stylesheet" />
		<link href="css/select2.css" rel="stylesheet" />
		
		
		
		<link href="css/ui-demo.css" rel="stylesheet" type="text/css" />
		
		<!-- JQuery -->
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<!-- Bootstrap tooltips -->
		<script>
			$(document).ready(function(){ 
				$.get("menu.html", function(data){
					$("#menu").replaceWith(data);
				});
			});
		</script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.4/umd/popper.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.8.7/js/mdb.min.js"></script>
		<!--<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
		<script src="https://cdn.muicss.com/mui-latest/js/mui.min.js"></script>-->
		<script src="js/jquery.waypoints.min.js"></script>
		<script src="js/ui-demo.js"></script>
	</head>
	<body id="noscroll">
		<script src="js/helper.js"></script>
		<script src="js/select2.js"></script>
		<script src="js/time-period.js"></script>
		<script src="js/helper-menu.js"></script>
		
		<header id="header">
			<nav class="navbar navbar-dark bg-primary">
				<span class="navbar-brand h1"></span>
			</nav>
		</header>
		<div id="sidedrawer">
			<div id="menu"></div>
		</div>
		
		<div id="content-wrapper">
			<div class="p-4 mt-0"></div>
			<div class="container">
				<h2 class="ui">Core</h2>
				<div class="buttons-container card mb-4 p-3">
					<h3 class="ui">Buttons</h3>
					<div class="row">
						<div class="col">Default</div>
						<div class="col">Hover</div>
						<div class="col">Active</div>
						<div class="col">Active Hover</div>
						<div class="col">Disabled</div>
					</div>
					<hr class="mb-4">
					<div class="row">
						<div class="col">
							<a href="" class="mb-4">Simple link</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">text-decoration: none;
color: primary;</code></pre>
						</div>
						<div class="col">
							<a href="" class="hover">Simple link</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">text-decoration: none;
color: default;</code></pre>
						</div>
						<div class="col"></div>
						<div class="col"></div>
						<div class="col">
							<a href="" class="hover" style=" cursor: default; color: #666;">Simple link</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">text-decoration: none;
color: muted;</code></pre>
						</div>
					</div>
					<hr class="mb-4">
					<div class="row">
						<div class="col">
							<a href="" class="de-btn-default">Button default</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: Neutral lighten-5 (white);
color: primary;</code></pre>
						</div>
						<div class="col">
							<a href="" class="de-btn-default hover">Button default</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: default - light;
color: primary;</code></pre>
						</div>
						<div class="col">
							<a href="" class="de-btn-default hover">Button default</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: default - light;
color: primary;</code></pre>
						</div>
						<div class="col">
							<a href="" class="de-btn-default hover" style="background: #b7def6;">Button default</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: default - dark;
color: primary;</code></pre>
						</div>
						<div class="col">
							<a href="" class="de-btn-default hover" style=" cursor: default; background: #ebf1f5; color: #666;">Button default</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: secondary - dark;
color: muted;
cursor: default;</code></pre>
						</div>
						<div class="col-12">
							<pre class="mt-2"><code class="language-html" data-lang="html">min-width: 30px;
min-height: 30px;
line-height: 30px;
padding: 0 10px;
font-size: 14px;
display: inline-block;
border-radius: 3px;
text-align: left;</code></pre>
						</div>
					</div>
					<hr class="mb-4">
					<div class="row">
						<div class="col">
							<a href="" class="de-btn-default w100"><i class="demo-icon material-add_circle_outline"></i>Default icon</a>
						</div>
						<div class="col">
							<a href="" class="de-btn-default hover w100"><i class="demo-icon material-add_circle_outline"></i>Default icon</a>
						</div>
						<div class="col">
							<a href="" class="de-btn-default hover w100"><i class="demo-icon material-add_circle_outline"></i>Default icon</a>
						</div>
						<div class="col">
							<a href="" class="de-btn-default hover w100"style="background: #b7def6;"><i class="demo-icon material-add_circle_outline"></i>Default icon</a>
						</div>
						<div class="col">
							<a href="" class="de-btn-default hover w100" style=" cursor: default; background: #ebf1f5; color: #666;"><i class="demo-icon material-add_circle_outline"></i>Default icon</a>
						</div>
						<div class="col-12">
							
							<pre class="mt-2"><code class="language-html" data-lang="html">button-icon:
margin-right: 10px;</code></pre>
						</div>
					</div>
					<hr class="mb-4">
					<div class="row">
						<div class="col">
							<a href="" class="de-btn-default de-btn-lg">Default large</a>
						</div>
						<div class="col">
							<a href="" class="de-btn-default de-btn-lg hover">Default large</a>
						</div>
						<div class="col">
							<a href="" class="de-btn-default de-btn-lg hover">Default large</a>
						</div>
						<div class="col">
							<a href="" class="de-btn-default de-btn-lg hover" style="background: #b7def6;">Default large</a>
						</div>
						<div class="col">
							<a href="" class="de-btn-default de-btn-lg hover" style=" cursor: default; background: #ebf1f5; color: #666;">Default large</a>
						</div>
						<div class="col-12">
							
							<pre class="mt-2"><code class="language-html" data-lang="html">min-width: 40px;
min-height: 40px;
line-height: 40px;
padding: 0 15px;
font-size: 16px;</code></pre>
						</div>
					</div>
					<hr class="mb-4">
					<div class="row">
						<div class="col">
							<a href="" class="de-btn-primary">Button primary</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: primary;
color: white;</code></pre>
						</div>
						<div class="col">
							<a href="" class="de-btn-primary hover">Button primary</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: highlight-1;
color: TXT - dark;</code></pre>
						</div>
						<div class="col">
							<a href="" class="de-btn-primary hover">Button primary</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: highlight-1;
color: TXT - dark;</code></pre>
						</div>
						<div class="col">
							<a href="" class="de-btn-primary hover">Button primary</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: highlight-1;
color: TXT - dark;</code></pre>
						</div>
						<div class="col">
							<a href="" class="de-btn-default hover" style=" cursor: default; background: #ebf1f5; color: #666;">Button primary</a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: secondary - dark;
color: muted;
cursor: default;</code></pre>
						</div>
						<div class="col-12">
							
							<pre class="mt-2"><code class="language-html" data-lang="html">border-radius: 3px;
padding: 0 10px;
vertical-align: middle;
font-size: 14px;
min-width: 30px;
min-height: 30px;
line-height: 30px;</code></pre>
						</div>
					</div>
					<hr class="mb-4">
					<div class="row">
						<div class="col">
							<a href="" class="de-btn-primary de-btn-lg">Primary large</a>
						</div>
						<div class="col">
							<a href="" class="de-btn-primary de-btn-lg hover">Primary large</a>
						</div>
						<div class="col">
							<a href="" class="de-btn-primary de-btn-lg hover">Primary large</a>
						</div>
						<div class="col">
							<a href="" class="de-btn-primary de-btn-lg hover">Primary large</a>
						</div>
						<div class="col">
							<a href="" class="de-btn-default de-btn-lg hover" style=" cursor: default; background: #ebf1f5; color: #666;">Primary large</a>
						</div>
						<div class="col-12">
							
							<pre class="mt-2"><code class="language-html" data-lang="html">min-width: 40px;
min-height: 40px;
line-height: 40px;
padding: 0 15px;
font-size: 16px;</code></pre>
						</div>
					</div>
					
					<hr class="mb-4">
					<div class="row">
						<div class="col">
							<a href="" class="de-btn-facet">Facet <span class="pt-icon-standard pt-icon-chevron-down"></span></a>
							<a href="" class="de-btn-facet">Facet long name in two lines <span class="pt-icon-standard pt-icon-chevron-down"></span></a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: primary - dark;
color: white;</code></pre>
						</div>
						<div class="col">
							<a href="" class="de-btn-facet hover">Facet hover <span class="pt-icon-standard pt-icon-chevron-down"></span></a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: highlight-1;
color: TXT - dark;</code></pre>
						</div>
						<div class="col">
							<a href="" class="de-btn-facet hover">Facet active <span class="pt-icon-standard pt-icon-chevron-down"></span></a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: highlight-1;
color: TXT - dark;</code></pre>
						</div>
						<div class="col">
							<a href="" class="de-btn-facet hover" style="/*background: #f6970e;*/">Facet active and hover <span class="pt-icon-standard pt-icon-chevron-down"></span></a>
							<pre class="mt-2"><code class="language-html" data-lang="html">background: highlight-1;
color: TXT - dark;</code></pre>
						</div>
						<div class="col">
							
							<pre class="mt-2"><code class="language-html" data-lang="html"></code></pre>
						</div>
						<div class="col-12">
							
							<pre class="mt-2"><code class="language-html" data-lang="html">font-size: 15px;
font-weight: bold;
text-align: left;
min-height: 43px;

border-radius: 3px;
padding: 6px 17px 4px 17px;
line-height: 16px;
position: relative

icon down:
right: 13px;
position: absolute;
top: 7px;</code></pre>
						</div>
					</div>
					<hr class="mb-4">
					<div class="row">
						<div class="col">
							<img src="images/btn-action-default.png" style="margin: 0 auto; display: block;">
							<pre class="mt-2"><code class="language-html" data-lang="html">background: white
color: primary;</code></pre>
						</div>
						<div class="col">
							<img src="images/btn-action-default-hover.png" style="margin: 0 auto; display: block;">
							<pre class="mt-2"><code class="language-html" data-lang="html">background: default - light
color: primary;</code></pre>
						</div>
						<div class="col">
							<img src="images/btn-action-default-hover.png" style="margin: 0 auto; display: block;">
							<pre class="mt-2"><code class="language-html" data-lang="html">background: default - light
color: primary;</code></pre>
						</div>
						<div class="col">
							<img src="images/btn-action-default-ha.png" style="margin: 0 auto; display: block;">
							<pre class="mt-2"><code class="language-html" data-lang="html">background: default - dark
color: primary;</code></pre>
						</div>
						<div class="col">
							<img src="images/btn-action-default-muted.png" style="margin: 0 auto; display: block;">
							<pre class="mt-2"><code class="language-html" data-lang="html">background: secondary - dark
color: muted;</code></pre>
						</div>
						<div class="col-12">
							<pre class="mt-2"><code class="language-html" data-lang="html">padding: 8px 10px;
icon size: 22px;
font-size: 14px;
</code></pre>
						</div>
					</div>
					<hr class="mb-4">
					<div class="row">
						<div class="col">
							<img src="images/btn-tag.png" style="margin: 0 auto; display: block;">
							<pre class="mt-2"><code class="language-html" data-lang="html">background: default - light
color: primary;</code></pre>
						</div>
						<div class="col">
							<img src="images/btn-tag-hover.png" style="margin: 0 auto; display: block;">
							<pre class="mt-2"><code class="language-html" data-lang="html">background: default - dark
color: primary;</code></pre>
						</div>
						<div class="col">
							
						</div>
						<div class="col">
							
						</div>
						<div class="col">
							
						</div>
						<div class="col-12">
							<pre class="mt-2"><code class="language-html" data-lang="html">padding: 2px 20px 2px 6px;
font-size: 12px;
border-radius: 3px;

remove icon:
icon-small-cross

position: absolute;
top: 1px;
right:0;
font-size: 14px;
</code></pre>
						</div>
					</div>
				</div>
				<div class="input-container card mb-4 p-3">
					<h3 class="ui">Inputs</h3>
					Basic use of Material UI input elements (mainly bordered/rounded version). Disabled states have the default color settings of the <a href="https://material-ui.com/components/text-fields/" target="_blank">MUI fields</a>
					<div class="row mt-2">
						<div class="col-12">
							<img src="images/input-anatomy.png" class="mb-2">
							<pre class="mt-4"><code class="language-html" data-lang="html">padding:8px;
height: 35px;
background: white
color: body;

label inset:
font-size: 12px;</code></pre>
						</div>
					</div>
					<div class="row mt-4">
						<div class="col">Default</div>
						<div class="col">Hover</div>
						<div class="col">Focus</div>
						<div class="col">Disabled</div>
					</div>
					<hr class="mb-4">
					<div class="row">
						<div class="col">
							<img src="images/input-input.png">
						</div>
						<div class="col">
							<img src="images/input-input-hover.png">
						</div>
						<div class="col">
							<img src="images/input-input-hover.png">
						</div>
						<div class="col">
							<img src="images/input-input-disabled.png">
						</div>
					</div>
					<div class="row">
						<div class="col">
							<img src="images/input-pholder.png">
						</div>
						<div class="col">
							<img src="images/input-pholder-hover.png">
						</div>
						<div class="col">
							<img src="images/input-pholder-hover.png">
						</div>
						<div class="col">
							<img src="images/input-pholder-disabled.png">
						</div>
					</div>
					<div class="row">
						<div class="col">
							<img src="images/input-icons.png">
						</div>
						<div class="col">
							<img src="images/input-icons-hover.png">
						</div>
						<div class="col">
							<img src="images/input-icons-hover.png">
						</div>
						<div class="col">
							<img src="images/input-icons-disabled.png">
						</div>
					</div>
					<div class="row">
						<div class="col">
							<img src="images/input-nlabel.png">
						</div>
						<div class="col">
							<img src="images/input-nlabel-hover.png">
						</div>
						<div class="col">
							<img src="images/input-nlabel-hover.png">
						</div>
						<div class="col">
							<img src="images/input-nlabel-disabled.png">
						</div>
					</div>
					<div class="row">
						<div class="col">
							<img src="images/input-select.png">
						</div>
						<div class="col">
							<img src="images/input-select-hover.png">
						</div>
						<div class="col">
							<img src="images/input-select-active.png">
						</div>
						<div class="col">
							<img src="images/input-select-disabled.png">
						</div>
					</div>
					<div class="row">
						<div class="col">
							<img src="images/input-icon-select.png">
						</div>
						<div class="col">
							<img src="images/input-icon-select-hover.png">
						</div>
						<div class="col">
							<img src="images/input-icon-select-active.png">
						</div>
						<div class="col">
							<img src="images/input-icon-select-disabled.png">
						</div>
					</div>
					<div class="row">
						<div class="col">
							<img src="images/input-multi.png">
						</div>
						<div class="col">
							<img src="images/input-multi-hover.png">
						</div>
						<div class="col">
							<img src="images/input-multi-hover.png">
						</div>
						<div class="col">
							<img src="images/input-select-disabled.png">
						</div>
					</div>
					<!--<div class="row">
						<div class="col-md-4">
							<img src="images/input-input.png" class="">
							<img src="images/input-input-icon.png" class="">
							<img src="images/input-input-label.png" class="">
							<img src="images/input-input-nested.png" class="">
							<img src="images/input-select.png" class="">
							<img src="images/input-mselect-1.png" class="">
							<img src="images/input-mselect-2.png" class="">
							<img src="images/input-check.png" class="">
							<img src="images/input-radio.png" class="">
						</div>
						<div class="col-md-8">
							Basic use of Material UI input elements (mainly bordered/rounded version)
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
					</div>-->
					
				</div>
			
				<div class="input-container card mb-4 p-3">
					<h3 class="ui">Focus (accessibility)</h3>
					Focus (tab navigation) on clickable or tooltip containing elements and form inputs.
					<div class="row mt-2">
						<div class="col-12">
							<img src="images/focus.png" class="mb-2 img-fluid">
							<pre class="mt-4"><code class="language-html" data-lang="html">border: 1px solid highlight-1</code></pre>
						</div>
					</div>
				</div>
			</div>
		</div>
		<footer id="footer">
			<div class="container">
				xxx
			</div>
		</footer>
	</body>
</html>